package de.oaa.xxx.aufgaben.repository;

import de.oaa.xxx.aufgaben.entity.AufgabenGruppeEntity;
import de.oaa.xxx.aufgaben.entity.GruppenAboEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.UUID;

public interface GruppenAboRepository extends JpaRepository<GruppenAboEntity, UUID> {

    List<GruppenAboEntity> findByUserId(UUID userId);

    boolean existsByUserIdAndAufgabenGruppe(UUID userId, AufgabenGruppeEntity gruppe);

    void deleteByUserIdAndAufgabenGruppe(UUID userId, AufgabenGruppeEntity gruppe);

    long countByAufgabenGruppe(AufgabenGruppeEntity gruppe);

    void deleteByAufgabenGruppe(AufgabenGruppeEntity gruppe);
}
